Last Comment Bug 773732 - After reloading a page, the selected script and line should remain the same
: After reloading a page, the selected script and line should remain the same
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: 12 Branch
: All All
: P3 normal (vote)
: Firefox 17
Assigned To: Victor Porof [:vporof][:vp]
:
Mentors:
Depends on: 780198 782179
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 11:23 PDT by Victor Porof [:vporof][:vp]
Modified: 2012-08-25 17:08 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (5.64 KB, patch)
2012-08-02 03:03 PDT, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review
v1.1 (7.81 KB, patch)
2012-08-02 08:44 PDT, Victor Porof [:vporof][:vp]
no flags Details | Diff | Splinter Review
v2 (8.55 KB, patch)
2012-08-25 07:27 PDT, Victor Porof [:vporof][:vp]
rcampbell: review+
Details | Diff | Splinter Review

Description Victor Porof [:vporof][:vp] 2012-07-13 11:23:28 PDT
Open debugger, switch to another script and reload the page. Most likely, the currently visible script is switched to the first one in the list. This annoyed me today and I think we should fix it.
Comment 1 Victor Porof [:vporof][:vp] 2012-08-02 03:03:29 PDT
Created attachment 648284 [details] [diff] [review]
v1
Comment 2 Rob Campbell [:rc] (:robcee) 2012-08-02 08:00:03 PDT
Comment on attachment 648284 [details] [diff] [review]
v1

nice little usability win there. With a test!
Comment 3 Victor Porof [:vporof][:vp] 2012-08-02 08:44:23 PDT
Created attachment 648355 [details] [diff] [review]
v1.1

Orange fix.
https://tbpl.mozilla.org/?tree=Try&rev=763ff56bc1f3
Comment 4 Victor Porof [:vporof][:vp] 2012-08-02 22:23:39 PDT
https://hg.mozilla.org/integration/fx-team/rev/64bc6b0e9127
Comment 5 Rob Campbell [:rc] (:robcee) 2012-08-03 14:35:16 PDT
https://hg.mozilla.org/mozilla-central/rev/64bc6b0e9127
Comment 6 Ed Morley [:emorley] 2012-08-15 05:32:17 PDT
Backed out for causing the frequent bug 780198 and bug 782179:
https://hg.mozilla.org/mozilla-central/rev/3b46b03dff5c
Comment 7 Ed Morley [:emorley] 2012-08-15 07:36:36 PDT
The backout had failures, so I have reverted it (effectively relanding this bug) and instead disabled the test (rather than trying to figure out how to backout cleanly). Sorry for the extra noise.

Relanding:
https://hg.mozilla.org/mozilla-central/rev/618652af63c9

Disable test:
https://hg.mozilla.org/mozilla-central/rev/ccf120bf4638
Comment 8 Victor Porof [:vporof][:vp] 2012-08-24 13:16:43 PDT
Spotted a regression from 783393. Need to fix this.
Comment 9 Victor Porof [:vporof][:vp] 2012-08-25 07:27:38 PDT
Created attachment 655311 [details] [diff] [review]
v2

This should fix it.
Amongst other things, executeSoon is evil.
Comment 10 Rob Campbell [:rc] (:robcee) 2012-08-25 07:37:11 PDT
Comment on attachment 655311 [details] [diff] [review]
v2

Review of attachment 655311 [details] [diff] [review]:
-----------------------------------------------------------------

yuup.
Comment 11 Victor Porof [:vporof][:vp] 2012-08-25 10:36:07 PDT
Green.
https://tbpl.mozilla.org/?tree=Try&rev=8f32b4f70832
Comment 13 Dave Camp (:dcamp) 2012-08-25 17:08:29 PDT
https://hg.mozilla.org/mozilla-central/rev/e11af99c5566

Note You need to log in before you can comment on or make changes to this bug.